> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

> 列出您组织中所有 secret 的元数据。不返回 secret 的具体内容。

# 列出机密信息



## OpenAPI

````yaml zh/v1-openapi.yaml GET /v1/secrets
openapi: 3.1.0
info:
  description: Devin v1 API：个人 API key 与服务 API key
  title: Devin API v1
  version: 1.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v1/secrets:
    get:
      summary: 列出机密信息
      description: 列出组织的所有机密。仅返回元数据，不返回机密值。
      operationId: get_secrets_v1_secrets_get
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/SecretMetadata'
                title: Response Get Secrets V1 Secrets Get
                type: array
          description: 成功响应
components:
  schemas:
    SecretMetadata:
      description: 已存储机密信息的元数据。
      properties:
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Created At
        id:
          title: Id
          type: string
        key:
          anyOf:
            - type: string
            - type: 'null'
          title: Key
        type:
          enum:
            - cookie
            - key-value
            - dictionary
            - totp
          title: Type
          type: string
      required:
        - id
        - type
      title: SecretMetadata
      type: object
  securitySchemes:
    bearerAuth:
      description: 个人 API Key（apk_user_\*）或服务 API Key（apk_\*）
      scheme: bearer
      type: http

````